Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02983 Crash/Freeze Critical (emulation) Always Feb 27, 2009, 13:31 Mar 4, 2009, 20:06
Tester incog View Status Public Platform MAME (Official Binary)
Assigned To Phil Bennett Resolution Fixed OS Windows XP/Vista 32-bit
Status [?] Resolved Driver harddriv.cpp
Version 0.129u5 Fixed in Version 0.129u6 Build Normal
Summary 02983: racedriv and clones: Race Drivin' and clones loop after "downloading DSP" screen
Description Only the Race Drivin' sets are affected, Hard Drivin', STUN runner and Steel Talons are fine.

Race Drivin' worked in in 0.128
Steps To Reproduce
Additional Information
Flags
Regression Version 0.128u4
Affected Sets / Systems racedriv and clones
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.03861
Phil Bennett
Developer
Feb 28, 2009, 22:15
edited on: Feb 28, 2009, 23:48
This is because rddsp32_speedup_r() no longer works correctly (previously, cycles_to_burn was clamped to the remaining CPU cycles).